Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeProVG500Mapper Class Reference

`#include <vtkVolumeProVG500Mapper.h>`

Inheritance diagram for vtkVolumeProVG500Mapper:

[legend]
Collaboration diagram for vtkVolumeProVG500Mapper:

[legend]
List of all members.

## Detailed Description

Superclass for VG500 board.

Date:
  2002/08/29 17:09:33

Revision:
  1.22

vtkVolumeProVG500Mapper is the superclass for VolumePRO volume rendering mappers based on the VG500 chip. Subclasses are for underlying graphics languages. Users should not create subclasses directly - a vtkVolumeProMapper will automatically create the object of the right type.

This class is not included in the Rendering CMakeLists by default. If you want to add this class to your vtk build, you need to have the vli header and library files, and you will need to perform the following steps:

1. Run cmake, and set the VTK_USE_VOLUMEPRO flag to true. 2. If the libary file (VLI_LIBRARY_FOR_VG500) is not found by cmake, set the path to that file, and rerun cmake. 3. If the header file (VLI_INCLUDE_PATH_FOR_VG500) is not found by cmake, set the path to that file, and rerun cmake. 4. Rebuild VTK.

For more information on the VolumePRO hardware, please see:

http://www.terarecon.com/3d_products.shtml

If you encounter any problems with this class, please inform Kitware, Inc. at kitware@kitware.com.

See also:
  vtkVolumeMapper vtkVolumeProMapper vtkOpenGLVolumeProVG500Mapper

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Hoffman, Bill (59%)
  - Avila, Lisa (24%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkVolumeProVG500Mapper.h)`
  - .`cxx` (`/Rendering/vtkVolumeProVG500Mapper.cxx)`

Definition at line 93 of file vtkVolumeProVG500Mapper.h.

## Public Types
typedef vtkVolumeProMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Render (vtkRenderer *, vtkVolume *)
virtual int | GetAvailableBoardMemory ()
virtual void | GetLockSizesForBoardMemory (unsigned int type, unsigned int *xSize, unsigned int *ySize, unsigned int *zSize)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVolumeProVG500Mapper * | SafeDownCast (vtkObject *o)
vtkVolumeProVG500Mapper * | New ()
## Protected Methods
| vtkVolumeProVG500Mapper ()
| ~vtkVolumeProVG500Mapper ()
void | UpdateCamera (vtkRenderer *, vtkVolume *)
void | UpdateLights (vtkRenderer *, vtkVolume *)
void | UpdateProperties (vtkRenderer *, vtkVolume *)
void | UpdateVolume (vtkRenderer *, vtkVolume *)
void | UpdateCropping (vtkRenderer *, vtkVolume *)
void | UpdateCursor (vtkRenderer *, vtkVolume *)
void | UpdateCutPlane (vtkRenderer *, vtkVolume *)
virtual void | RenderHexagon (vtkRenderer *vtkNotUsed(ren), vtkVolume *vtkNotUsed(vol), VLIPixel *vtkNotUsed(basePlane), int size[2], VLIVector3D hexagon[6], VLIVector2D textureCoords[6])
void | CorrectBasePlaneSize (VLIPixel *inBase, int inSize[2], VLIPixel **outBase, int outSize[2], VLIVector2D textureCoords[6])
## Protected Attributes
int | LoadedDataSize [3]

## Member Typedef Documentation

typedef vtkVolumeProMapper vtkVolumeProVG500Mapper::Superclass

| Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper. Definition at line 96 of file vtkVolumeProVG500Mapper.h.

## Constructor & Destructor Documentation

vtkVolumeProVG500Mapper::vtkVolumeProVG500Mapper | ( |  | ) | `[protected]`

vtkVolumeProVG500Mapper::~vtkVolumeProVG500Mapper | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkVolumeProVG500Mapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper.

int vtkVolumeProVG500Mapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper.

virtual int vtkVolumeProVG500Mapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper.

vtkVolumeProVG500Mapper* vtkVolumeProVG500Mapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper.

vtkVolumeProVG500Mapper* vtkVolumeProVG500Mapper::New | ( |  | ) | `[static]`

| Automatically create the proper subclass Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper.

virtual void vtkVolumeProVG500Mapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeProMapper. Reimplemented in vtkOpenGLVolumeProVG500Mapper.

virtual void vtkVolumeProVG500Mapper::Render | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[virtual]`

| Render the image using the hardware and place it in the frame buffer Reimplemented from vtkVolumeProMapper.

virtual int vtkVolumeProVG500Mapper::GetAvailableBoardMemory | ( |  | ) | `[virtual]`

| Render the image using the hardware and place it in the frame buffer Reimplemented from vtkVolumeProMapper.

virtual void vtkVolumeProVG500Mapper::GetLockSizesForBoardMemory | ( | unsigned int | type,
|  | unsigned int * | xSize,
|  | unsigned int * | ySize,
|  | unsigned int * | zSize
| ) | `[virtual]`

| Render the image using the hardware and place it in the frame buffer

void vtkVolumeProVG500Mapper::UpdateCamera | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVG500Mapper::UpdateLights | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVG500Mapper::UpdateProperties | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVG500Mapper::UpdateVolume | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVG500Mapper::UpdateCropping | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVG500Mapper::UpdateCursor | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

void vtkVolumeProVG500Mapper::UpdateCutPlane | ( | vtkRenderer * | ,
|  | vtkVolume * |
| ) | `[protected]`

virtual void vtkVolumeProVG500Mapper::RenderHexagon | ( | vtkRenderer * | vtkNotUsed(ren),
|  | vtkVolume * | vtkNotUsed(vol),
|  | VLIPixel * | vtkNotUsed(basePlane),
|  | int | size[2],
|  | VLIVector3D | hexagon[6],
|  | VLIVector2D | textureCoords[6]
| ) | `[inline, protected, virtual]`

| Definition at line 138 of file vtkVolumeProVG500Mapper.h.

void vtkVolumeProVG500Mapper::CorrectBasePlaneSize | ( | VLIPixel * | inBase,
|  | int | inSize[2],
|  | VLIPixel ** | outBase,
|  | int | outSize[2],
|  | VLIVector2D | textureCoords[6]
| ) | `[protected]`

## Member Data Documentation

int vtkVolumeProVG500Mapper::LoadedDataSize[3]`[protected]`

| Definition at line 154 of file vtkVolumeProVG500Mapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeProVG500Mapper.h